import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod } from "./IShortPeriodLongPeriod";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { IndicatorCalculationStrategy } from "./IndicatorCalculationStrategy";
import { Type } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Series } from "./Series";
/**
 * @hidden
 */
export declare class MovingAverageConvergenceDivergenceIndicator extends StrategyBasedIndicator implements IShortPeriodLongPeriod {
    static $t: Type;
    protected bi(): Series;
    protected get_aat(): IndicatorDisplayType;
    constructor();
    protected get_abm(): IndicatorCalculationStrategy;
    protected get abm(): IndicatorCalculationStrategy;
    protected get_abz(): Type;
    protected get abz(): Type;
    get shortPeriod(): number;
    set shortPeriod(a: number);
    static readonly aca: DependencyProperty;
    protected abu(): number;
    get longPeriod(): number;
    set longPeriod(a: number);
    static readonly ab9: DependencyProperty;
    protected abr(): number;
    get signalPeriod(): number;
    set signalPeriod(a: number);
    static readonly acb: DependencyProperty;
    protected aa2(): number;
}
